package main

import (
	"timshome.page/gilo/internal/editor"
	"timshome.page/gilo/internal/terminal"
)

func main() {
	// Go to proper raw mode, but restore canonical mode at exit
	oldState := terminal.RawOn()
	defer terminal.RawOff(oldState)

	// The input loop
	for editor.ProcessKeypress() {
		editor.RefreshScreen()
	}
}
